com.amazonaws.codegen

## Class JmesPathCodeGenVisitor

- java.lang.Object
- - com.amazonaws.codegen.JmesPathCodeGenVisitor

All Implemented Interfaces:
  JmesPathVisitor<Void,String>

    public class JmesPathCodeGenVisitor
    extends Object
    implements JmesPathVisitor<Void,String>

### Constructor Summary

Constructors
Constructor and Description
`JmesPathCodeGenVisitor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `visit(Comparator op, Void aVoid)` Generates the code for a new Comparator.
`String` `visit(JmesPathAndExpression andExpression, Void aVoid)` Generates the code for a new JmesPathAndExpression.
`String` `visit(JmesPathField fieldNode, Void aVoid)` Generates the code for a new JmesPathField.
`String` `visit(JmesPathFilter filter, Void aVoid)` Generates the code for a new JmesPathFilter.
`String` `visit(JmesPathFlatten flatten, Void aVoid)` Generates the code for a new JmesPathFlatten.
`String` `visit(JmesPathFunction function, Void aVoid)` Generates the code for a new JmesPathFunction.
`String` `visit(JmesPathIdentity jmesPathIdentity, Void aVoid)` Generates the code for a new JmesPathIdentity.
`String` `visit(JmesPathLiteral literal, Void aVoid)` Generates the code for a new JmesPathLiteral.
`String` `visit(JmesPathMultiSelectList multiSelectList, Void aVoid)` Generates the code for a new JmesPathMultiSelectList.
`String` `visit(JmesPathNotExpression notExpression, Void aVoid)` Generates the code for a new JmesPathNotExpression.
`String` `visit(JmesPathProjection jmesPathProjection, Void aVoid)` Generates the code for a new JmesPathProjection.
`String` `visit(JmesPathSubExpression subExpression, Void aVoid)` Generates the code for a new JmesPathSubExpression.
`String` `visit(JmesPathValueProjection valueProjection, Void aVoid)` Generates the code for a new JmesPathValueProjection.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JmesPathCodeGenVisitor

    public JmesPathCodeGenVisitor()

### Method Detail

#### visit

    public String visit(JmesPathSubExpression subExpression,
                        Void aVoid)
                 throws InvalidTypeException

Generates the code for a new JmesPathSubExpression.

Specified by:
  `visit` in interface `JmesPathVisitor<Void,String>`
Parameters:
  `subExpression` - JmesPath subexpression type
  `aVoid` - void
Returns:
  String that represents a call to the new subexpression
Throws:
  `InvalidTypeException`

#### visit

    public String visit(JmesPathField fieldNode,
                        Void aVoid)

Generates the code for a new JmesPathField.

Specified by:
  `visit` in interface `JmesPathVisitor<Void,String>`
Parameters:
  `fieldNode` - JmesPath field type
  `aVoid` - void
Returns:
  String that represents a call to the new fieldNode

#### visit

    public String visit(JmesPathProjection jmesPathProjection,
                        Void aVoid)
                 throws InvalidTypeException

Generates the code for a new JmesPathProjection.

Specified by:
  `visit` in interface `JmesPathVisitor<Void,String>`
Parameters:
  `jmesPathProjection` - JmesPath projection type
  `aVoid` - void
Returns:
  String that represents a call to the new list projection
Throws:
  `InvalidTypeException`

#### visit

    public String visit(JmesPathFlatten flatten,
                        Void aVoid)
                 throws InvalidTypeException

Generates the code for a new JmesPathFlatten.

Specified by:
  `visit` in interface `JmesPathVisitor<Void,String>`
Parameters:
  `flatten` - JmesPath flatten type
  `aVoid` - void
Returns:
  String that represents a call to the new flatten projection
Throws:
  `InvalidTypeException`

#### visit

    public String visit(JmesPathIdentity jmesPathIdentity,
                        Void aVoid)

Generates the code for a new JmesPathIdentity.

Specified by:
  `visit` in interface `JmesPathVisitor<Void,String>`
Parameters:
  `jmesPathIdentity` - JmesPath identity type
  `aVoid` - void
Returns:
  String that represents a call to the new identity expression

#### visit

    public String visit(JmesPathValueProjection valueProjection,
                        Void aVoid)
                 throws InvalidTypeException

Generates the code for a new JmesPathValueProjection.

Specified by:
  `visit` in interface `JmesPathVisitor<Void,String>`
Parameters:
  `valueProjection` - JmesPath value projection type
  `aVoid` - void
Returns:
  String that represents a call to the new value projection
Throws:
  `InvalidTypeException`

#### visit

    public String visit(JmesPathLiteral literal,
                        Void aVoid)

Generates the code for a new JmesPathLiteral.

Specified by:
  `visit` in interface `JmesPathVisitor<Void,String>`
Parameters:
  `literal` - JmesPath literal type
  `aVoid` - void
Returns:
  String that represents a call to the new literal expression

#### visit

    public String visit(JmesPathFilter filter,
                        Void aVoid)
                 throws InvalidTypeException

Generates the code for a new JmesPathFilter.

Specified by:
  `visit` in interface `JmesPathVisitor<Void,String>`
Parameters:
  `filter` - JmesPath filter type
  `aVoid` - void
Returns:
  String that represents a call to the new filter expression
Throws:
  `InvalidTypeException`

#### visit

    public String visit(JmesPathFunction function,
                        Void aVoid)
                 throws InvalidTypeException

Generates the code for a new JmesPathFunction.

Specified by:
  `visit` in interface `JmesPathVisitor<Void,String>`
Parameters:
  `function` - JmesPath function type
  `aVoid` - void
Returns:
  String that represents a call to the new function expression
Throws:
  `InvalidTypeException`

#### visit

    public String visit(Comparator op,
                        Void aVoid)
                 throws InvalidTypeException

Generates the code for a new Comparator.

Specified by:
  `visit` in interface `JmesPathVisitor<Void,String>`
Parameters:
  `op` - JmesPath comparison operator type
  `aVoid` - void
Returns:
  String that represents a call to the new comparator expression
Throws:
  `InvalidTypeException`

#### visit

    public String visit(JmesPathNotExpression notExpression,
                        Void aVoid)
                 throws InvalidTypeException

Generates the code for a new JmesPathNotExpression.

Specified by:
  `visit` in interface `JmesPathVisitor<Void,String>`
Parameters:
  `notExpression` - JmesPath not-expression type
  `aVoid` - void
Returns:
  String that represents a call to the new not-expression
Throws:
  `InvalidTypeException`

#### visit

    public String visit(JmesPathAndExpression andExpression,
                        Void aVoid)
                 throws InvalidTypeException

Generates the code for a new JmesPathAndExpression.

Specified by:
  `visit` in interface `JmesPathVisitor<Void,String>`
Parameters:
  `andExpression` - JmesPath and-expression type
  `aVoid` - void
Returns:
  String that represents a call to the new and-expression
Throws:
  `InvalidTypeException`

#### visit

    public String visit(JmesPathMultiSelectList multiSelectList,
                        Void aVoid)
                 throws InvalidTypeException

Generates the code for a new JmesPathMultiSelectList.

Specified by:
  `visit` in interface `JmesPathVisitor<Void,String>`
Parameters:
  `multiSelectList` - JmesPath multiSelectList type
  `aVoid` - void
Returns:
  String that represents a call to the new multiSelectList
Throws:
  `InvalidTypeException`